Index: /code/branches/Dialog_HS16/src/modules/notifications/dispatchers/Dialogue.cc
===================================================================
--- /code/branches/Dialog_HS16/src/modules/notifications/dispatchers/Dialogue.cc	(revision 11330)
+++ /code/branches/Dialog_HS16/src/modules/notifications/dispatchers/Dialogue.cc	(revision 11331)
@@ -1,4 +1,2 @@
-
-
 
 #include "Dialogue.h"
@@ -15,4 +13,8 @@
 	RegisterClass(Dialogue);
 
+    /**
+    @brief
+        Default Constructor. Registers the object and initializes variables.
+    */
 	Dialogue::Dialogue(Context* context):NotificationDispatcher(context){
 		RegisterObject(Dialogue);
@@ -22,9 +24,16 @@
         this->setSyncMode(ObjectDirection::None);
 	}
-
+    /**
+    @brief
+        Destructor.
+    */
 	Dialogue::~Dialogue()
     {
 
     }
+    /**
+    @brief
+        Method for creating a Dialogue object through XML.
+    */
     void Dialogue::XMLPort(Element& xmlelement, XMLPort::Mode mode)
     {
@@ -36,10 +45,17 @@
         
     }
-     void Dialogue::update()
-   {    
+    /**
+    @brief
+        Passes the name of the picture over to the HUDDialogue class
+    */
+    void Dialogue::update()
+    {    
        for(HUDDialogue* huddialogue : ObjectList<HUDDialogue>())
                        huddialogue->updateTarget(portrait_);
     }
-    
+    /**
+        @brief Creates the notification message,Pconsisting of a speaker and a message, that should be sent upon the Dialgue triggering.
+        @return Returns the notification message.
+    */
     const std::string& Dialogue::createNotificationMessage(void)
                 { 	
Index: /code/branches/Dialog_HS16/src/modules/notifications/dispatchers/Dialogue.h
===================================================================
--- /code/branches/Dialog_HS16/src/modules/notifications/dispatchers/Dialogue.h	(revision 11330)
+++ /code/branches/Dialog_HS16/src/modules/notifications/dispatchers/Dialogue.h	(revision 11331)
@@ -11,4 +11,22 @@
 namespace orxonox{
 
+	/**
+    @brief
+        The Dialogue class enables the sending of (in XML) predefined Notifications upon some kind of triggering event.
+
+        In use it would like this:
+        @code
+        <Dialogue message="some message..." speaker="speaker" portrait="Orxonox/some_file">
+            <events>
+                <trigger>
+                    <PlayerTrigger />
+                </trigger>
+            </events>
+        </Dialogue>
+        @endcode
+        For more information on what can be used for @code <PlayerTrigger /> @endcode see the @ref orxonox::NotificationDispatcher "NotificationDispatcher" documentation.
+		For more information about the Dialogue class take a look at the Notifications entry in the wiki.
+		*/
+
 class _NotificationsExport Dialogue: public NotificationDispatcher{
 
@@ -17,27 +35,58 @@
             virtual ~Dialogue(); //!< Destructor.
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); //!< Method for creating a Dialogue object through XML.
 
+            /**
+            @brief Get the message, that is displayed.
+            @return Returns the message, that is displayed.
+            */
             const std::string& getMessage(void)
                 	{ return this->message_; }
+            /**
+            @brief Get the name of the speaker.
+            @return Returns the name of the speaker.
+            */
          	const std::string& getSpeaker(void)
             		{return this->speaker_;}
+            /**
+            @brief Get the name of the file of the picture
+            @return Returns the name of the file.
+            */
             const std::string& getPortrait(void)
             		{ return this->portrait_;}
 
     protected:
+    	/**
+            @brief Creates the notification message that should be sent upon the Dialgue triggering.
+            @return Returns the notification message.
+            */
     	virtual const std::string& createNotificationMessage(void);
+    	/**
+    		@brief Updates the picture that is displayed by passing the name of the picture over to the HUDDialogue class.
+    		*/
         virtual void update(void);
        	
     private:
-    		std::string message_;
-    		std::string speaker_;
-    		std::string dialogue_;
-    		std::string portrait_;
+    		std::string message_; //!< The message.
+    		std::string speaker_; //!< The name of the speaker.
+    		std::string dialogue_; //!< The speaker and the message that is displayed.
+    		std::string portrait_; //!< The name of the file.
 
+    		/**
+    		@brief Sets the name of the speaker.
+    		@param speaker The name of the speaker.
+    		*/
     		void setSpeaker(const std::string& speaker)
             	{ this->speaker_ = speaker;}
+            /**
+            @brief Sets the message that is to be displayed.
+            @param message The message to be displayed.
+            */
     		void setMessage(const std::string& message)
                 { this->message_ = message; }
+            /**
+            @brief Sets the name of the file of the picture.
+            @param portrait Name of the file which is used.
+            */
             void setPortrait(const std::string& portrait)
             	{ this->portrait_ = portrait;}
Index: /code/branches/Dialog_HS16/src/modules/overlays/hud/HUDDialogue.cc
===================================================================
--- /code/branches/Dialog_HS16/src/modules/overlays/hud/HUDDialogue.cc	(revision 11330)
+++ /code/branches/Dialog_HS16/src/modules/overlays/hud/HUDDialogue.cc	(revision 11331)
@@ -15,11 +15,18 @@
 {
 
-	 RegisterClass (HUDDialogue);
-
-	 HUDDialogue::HUDDialogue(Context* context) :
-        OrxonoxOverlay(context)
+	RegisterClass (HUDDialogue);
+	/**
+    @brief
+        Default Constructor. Registers the object and initializes variables.
+    */
+	HUDDialogue::HUDDialogue(Context* context) :
+    OrxonoxOverlay(context)
     {
         RegisterObject(HUDDialogue);
-	}     
+	}   
+	/**
+	@brief
+		Updates the picture to the picture which was declared in the Dialogue class and sets a timer to set the picture on invisible again.
+	*/  
     void HUDDialogue::updateTarget(std::string portrait)
     {
@@ -33,4 +40,8 @@
     	portraitTimer.setTimer(2.9f,false,createExecutor(createFunctor(&HUDDialogue::invisible, this)));
     }
+    /**
+    @brief
+    	Sets the picture back to invisible again.
+    */
     void HUDDialogue::invisible()
     {
@@ -38,8 +49,12 @@
     	Ogre::OverlayManager::getSingleton().destroyOverlayElement(this->overlayElementIcon_);
     }
-	 HUDDialogue::~HUDDialogue()
-	 {
+    /**
+    @brief
+    	Default Destructor.
+    */
+	HUDDialogue::~HUDDialogue()
+	{
 
 
-	 }
+	}
 }
Index: /code/branches/Dialog_HS16/src/modules/overlays/hud/HUDDialogue.h
===================================================================
--- /code/branches/Dialog_HS16/src/modules/overlays/hud/HUDDialogue.h	(revision 11330)
+++ /code/branches/Dialog_HS16/src/modules/overlays/hud/HUDDialogue.h	(revision 11331)
@@ -18,9 +18,14 @@
     {
     	public:
-            HUDDialogue(Context* context);
-            virtual ~HUDDialogue();
+            HUDDialogue(Context* context); //!< Default Constructor.
+            virtual ~HUDDialogue(); //!< Destructor.
 
+            /**
+            @brief Sets the active picture.
+            */
             virtual void updateTarget(std::string portrait);
-
+            /**
+            @brief Sets the picture to invivsible when Dialogue is over.
+            */
             virtual void invisible();
 
@@ -28,5 +33,5 @@
       			Ogre::PanelOverlayElement* overlayElementIcon_;
 
-      			Timer portraitTimer;
+      			Timer portraitTimer; //!< The Timer which is used to set the picture back to invisible.
     };
 }