Index: code/branches/Presentation_HS16/data/gui/layouts/CampaignMenu.layout
===================================================================
--- code/branches/Presentation_HS16/data/gui/layouts/CampaignMenu.layout	(revision 11339)
+++ code/branches/Presentation_HS16/data/gui/layouts/CampaignMenu.layout	(revision 11341)
@@ -8,81 +8,161 @@
         <Property Name="UnifiedAreaRect" Value="{{0,0},{0,0},{1.0,0},{1.0,0}}" />
         <Property Name="BackgroundEnabled" Value="False" />
-        <Window Type="MenuWidgets/Button" Name="orxonox/Mission1Button" >
+
+        <!-- Misson 1************************************* -->
+        <Window Type="MenuWidgets/Button" Name="orxonox/Mission1Text" >
             <Property Name="Text" Value="Mission One" />
             <Property Name="Visible" Value="False"/>
-            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.35,0},{0.1,0},{0.65,0},{0.15,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.1,0},{0.6,0},{0.3,0},{0.65,0}}" />
             <Event Name="Clicked" Function="CampaignMenu.Mission1Button_clicked"/>
         </Window>
-        <Window Type="MenuWidgets/Button" Name="orxonox/Mission2Button" >
+
+        <Window Type="MenuWidgets/JuuButton" Name="orxonox/Mission1Button" >
+            <Property Name="Visible" Value="False"/>
+            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.1,0},{0.75,0},{0.25,0},{0.95,0}}" />
+            <Event Name="Clicked" Function="CampaignMenu.Mission1Button_clicked"/>
+        </Window>
+
+        <!-- Misson 2************************************* -->
+        <Window Type="MenuWidgets/Button" Name="orxonox/Mission2Text" >
             <Property Name="Text" Value="Fight in our Back" />
             <Property Name="Visible" Value="False"/>
-            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.35,0},{0.18,0},{0.65,0},{0.23,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.35,0},{0.6,0},{0.55,0},{0.65,0}}" />
             <Property Name="Disabled" Value="True" />
             <Event Name="Clicked" Function="CampaignMenu.Mission2Button_clicked"/>
         </Window>
-        <Window Type="MenuWidgets/Button" Name="orxonox/Mission3Button" >
+
+        <Window Type="MenuWidgets/JuuButton" Name="orxonox/Mission2Button" >
+            <Property Name="Visible" Value="False"/>
+            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.7,0},{0.5,0},{0.85,0}}" />
+            <Property Name="Disabled" Value="True" />
+            <Event Name="Clicked" Function="CampaignMenu.Mission2Button_clicked"/>
+        </Window>
+
+        <!-- Misson 3************************************* -->
+        <Window Type="MenuWidgets/Button" Name="orxonox/Mission3Text" >
             <Property Name="Text" Value="Pirate Attack" />
             <Property Name="Visible" Value="False"/>
-            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.35,0},{0.26,0},{0.65,0},{0.31,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.6,0},{0.75,0},{0.8,0},{0.8,0}}" />
             <Property Name="Disabled" Value="True" />
             <Event Name="Clicked" Function="CampaignMenu.Mission3Button_clicked"/>
         </Window>
-        <Window Type="MenuWidgets/Button" Name="orxonox/Mission4Button" >
+        <Window Type="MenuWidgets/JuuButton" Name="orxonox/Mission3Button" >
+
+            <Property Name="Visible" Value="False"/>
+            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.685,0},{0.605,0},{0.75,0},{0.71,0}}" />
+            <Property Name="Disabled" Value="True" />
+            <Event Name="Clicked" Function="CampaignMenu.Mission3Button_clicked"/>
+        </Window>
+
+        <!-- Misson 4************************************* -->
+        <Window Type="MenuWidgets/Button" Name="orxonox/Mission4Text" >
             <Property Name="Text" Value="Trip to Area 51" />
             <Property Name="Visible" Value="False"/>
-            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.35,0},{0.34,0},{0.65,0},{0.39,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.575,0},{0.5,0},{0.775,0},{0.55,0}}" />
             <Property Name="Disabled" Value="True" />
             <Event Name="Clicked" Function="CampaignMenu.Mission4Button_clicked"/>
         </Window>
-        <Window Type="MenuWidgets/Button" Name="orxonox/Mission5Button" >
+        <Window Type="MenuWidgets/JuuButton" Name="orxonox/Mission4Button" >
+
+            <Property Name="Visible" Value="False"/>
+            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.78,0},{0.48,0},{0.87,0},{0.59,0}}" />
+            <Property Name="Disabled" Value="True" />
+            <Event Name="Clicked" Function="CampaignMenu.Mission4Button_clicked"/>
+        </Window>
+
+        <!-- Misson 5************************************* -->
+        <Window Type="MenuWidgets/Button" Name="orxonox/Mission5Text" >
             <Property Name="Text" Value="Area 51 under Fire" />
             <Property Name="Visible" Value="False"/>
-            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.35,0},{0.42,0},{0.65,0},{0.47,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.625,0},{0.4,0},{0.825,0},{0.45,0}}" />
             <Property Name="Disabled" Value="True" />
             <Event Name="Clicked" Function="CampaignMenu.Mission5Button_clicked"/>
         </Window>
-        <Window Type="MenuWidgets/Button" Name="orxonox/Mission6Button" >
+        <Window Type="MenuWidgets/JuuButton" Name="orxonox/Mission5Button" >
+
+            <Property Name="Visible" Value="False"/>
+            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.725,0},{0.27,0},{0.775,0},{0.37,0}}" />
+            <Property Name="Disabled" Value="True" />
+            <Event Name="Clicked" Function="CampaignMenu.Mission5Button_clicked"/>
+        </Window>
+
+        <!-- Misson 6************************************* -->
+        <Window Type="MenuWidgets/Button" Name="orxonox/Mission6Text" >
             <Property Name="Text" Value="Escape the Bastards" />
             <Property Name="Visible" Value="False"/>
-            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.35,0},{0.50,0},{0.65,0},{0.55,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.525,0},{0.1,0},{0.725,0},{0.15,0}}" />
             <Property Name="Disabled" Value="True" />
             <Event Name="Clicked" Function="CampaignMenu.Mission6Button_clicked"/>
         </Window>
-        <Window Type="MenuWidgets/Button" Name="orxonox/Mission7Button" >
+        <Window Type="MenuWidgets/JuuButton" Name="orxonox/Mission6Button" >
+
+            <Property Name="Visible" Value="False"/>
+            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.6,0},{0.17,0},{0.65,0},{0.27,0}}" />
+            <Property Name="Disabled" Value="True" />
+            <Event Name="Clicked" Function="CampaignMenu.Mission6Button_clicked"/>
+        </Window>
+
+        <!-- Misson 7************************************* -->
+        <Window Type="MenuWidgets/Button" Name="orxonox/Mission7Text" >
             <Property Name="Text" Value="Expedition to Sector 5C" />
             <Property Name="Visible" Value="False"/>
+            <Property Name="Disabled" Value="True" />
+            <Event Name="Clicked" Function="CampaignMenu.Mission7Button_clicked"/>
+            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.025,0},{0.6,0},{0.075,0}}" />
+        </Window>
+        <Window Type="MenuWidgets/JuuButton" Name="orxonox/Mission7Button" >
+
+            <Property Name="Visible" Value="False"/>
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.35,0},{0.58,0},{0.65,0},{0.63,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.47,0},{0.13,0},{0.525,0},{0.23,0}}" />
             <Property Name="Disabled" Value="True" />
             <Event Name="Clicked" Function="CampaignMenu.Mission7Button_clicked"/>
         </Window>
-        <Window Type="MenuWidgets/Button" Name="orxonox/Mission8Button" >
+
+        <!-- Misson 8************************************* -->
+        <Window Type="MenuWidgets/Button" Name="orxonox/Mission8Text" >
             <Property Name="Text" Value="Shuttle under Attack" />
             <Property Name="Visible" Value="False"/>
+            <Property Name="Disabled" Value="True" />
+            <Property Name="UnifiedAreaRect" Value="{{0.25,0},{0.2,0},{0.45,0},{0.25,0}}" />
+            <Event Name="Clicked" Function="CampaignMenu.Mission8Button_clicked"/>
+        </Window>
+        <Window Type="MenuWidgets/JuuButton" Name="orxonox/Mission8Button" >
+
+            <Property Name="Visible" Value="False"/>
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.35,0},{0.66,0},{0.65,0},{0.71,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.33,0},{0.1,0},{0.38,0},{0.18,0}}" />
             <Property Name="Disabled" Value="True" />
             <Event Name="Clicked" Function="CampaignMenu.Mission8Button_clicked"/>
         </Window>
-        <Window Type="MenuWidgets/Button" Name="orxonox/Mission9Button" >
+
+        <!-- Misson 9************************************* -->
+        <Window Type="MenuWidgets/Button" Name="orxonox/Mission9Text" >
             <Property Name="Text" Value="Retaliation" />
             <Property Name="Visible" Value="False"/>
+            <Property Name="Disabled" Value="True" />
+            <Property Name="UnifiedAreaRect" Value="{{0.1,0},{0.145,0},{0.3,0},{0.195,0}}" />
+            <Event Name="Clicked" Function="CampaignMenu.Mission9Button_clicked"/>
+        </Window>
+        <Window Type="MenuWidgets/JuuButton" Name="orxonox/Mission9Button" >
+
+            <Property Name="Visible" Value="False"/>
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.35,0},{0.74,0},{0.65,0},{0.79,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.18,0},{0.07,0},{0.24,0},{0.145,0}}" />
             <Property Name="Disabled" Value="True" />
             <Event Name="Clicked" Function="CampaignMenu.Mission9Button_clicked"/>
         </Window>
 
-
+        <!-- Back Button************************************* -->
         <Window Type="MenuWidgets/Button" Name="orxonox/CampaignMenuBackButton" >
             <Property Name="Text" Value="Back" />
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.35,0},{0.85,0},{0.65,0},{0.9,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.75,0},{0.9,0},{0.95,0},{0.95,0}}" />
             <Event Name="Clicked" Function="CampaignMenu.CampaignMenuBackButton_clicked"/> 
         </Window>
Index: code/branches/Presentation_HS16/data/gui/schemes/OrxonoxHUDWidgets.scheme
===================================================================
--- code/branches/Presentation_HS16/data/gui/schemes/OrxonoxHUDWidgets.scheme	(revision 11339)
+++ code/branches/Presentation_HS16/data/gui/schemes/OrxonoxHUDWidgets.scheme	(revision 11341)
@@ -40,3 +40,5 @@
     <WindowAlias Alias="HUDWidgets/Tooltip"                  Target="OrxonoxLook/Tooltip" />
     <WindowAlias Alias="HUDWidgets/Tree"                     Target="OrxonoxLook/Tree" />
+
+    <WindowAlias Alias="HUDWidgets/ImageButton"              Target="OrxonoxLook/JuuButton" />
 </GUIScheme>
Index: code/branches/Presentation_HS16/data/gui/schemes/OrxonoxLook.scheme
===================================================================
--- code/branches/Presentation_HS16/data/gui/schemes/OrxonoxLook.scheme	(revision 11339)
+++ code/branches/Presentation_HS16/data/gui/schemes/OrxonoxLook.scheme	(revision 11341)
@@ -50,4 +50,8 @@
     <FalagardMapping WindowType="OrxonoxLook/VUMeter"                     TargetType="CEGUI/ProgressBar"       Renderer="Falagard/ProgressBar"       LookNFeel="OrxonoxLook/VUMeter" />
     <FalagardMapping WindowType="OrxonoxLook/LargeVerticalScrollbar"      TargetType="CEGUI/Scrollbar"         Renderer="Falagard/Scrollbar"         LookNFeel="OrxonoxLook/LargeVerticalScrollbar" />
-    <FalagardMapping WindowType="OrxonoxLook/LargeVerticalScrollbarThumb" TargetType="CEGUI/Thumb"             Renderer="Falagard/Button"            LookNFeel="OrxonoxLook/LargeVerticalScrollbarThumb" />
+    <FalagardMapping WindowType="OrxonoxLook/LargeVerticalScrollbarThumb" TargetType="CEGUI/Thumb"             Renderer="Falagard/Button"         LookNFeel="OrxonoxLook/LargeVerticalScrollbarThumb" />
+
+    <!-- Special Button for CampaignMenu -->
+    <FalagardMapping WindowType="OrxonoxLook/JuuButton"              TargetType="CEGUI/PushButton"        Renderer="Falagard/Button"            LookNFeel="OrxonoxLook/JuuButton" />
+
 </GUIScheme>
Index: code/branches/Presentation_HS16/data/gui/schemes/OrxonoxMenuWidgets.scheme
===================================================================
--- code/branches/Presentation_HS16/data/gui/schemes/OrxonoxMenuWidgets.scheme	(revision 11339)
+++ code/branches/Presentation_HS16/data/gui/schemes/OrxonoxMenuWidgets.scheme	(revision 11341)
@@ -40,3 +40,5 @@
     <WindowAlias Alias="MenuWidgets/Tooltip"                  Target="OrxonoxLook/Tooltip" />
     <WindowAlias Alias="MenuWidgets/Tree"                     Target="OrxonoxLook/Tree" />
+
+    <WindowAlias Alias="MenuWidgets/JuuButton"                Target="OrxonoxLook/JuuButton" />
 </GUIScheme>
Index: code/branches/Presentation_HS16/data/gui/schemes/TaharezGreenHUDWidgets.scheme
===================================================================
--- code/branches/Presentation_HS16/data/gui/schemes/TaharezGreenHUDWidgets.scheme	(revision 11339)
+++ code/branches/Presentation_HS16/data/gui/schemes/TaharezGreenHUDWidgets.scheme	(revision 11341)
@@ -40,3 +40,5 @@
     <WindowAlias Alias="HUDWidgets/Tooltip"                  Target="TaharezGreenLook/Tooltip" />
     <WindowAlias Alias="HUDWidgets/Tree"                     Target="TaharezGreenLook/Tree" />
+
+     <WindowAlias Alias="HUDWidgets/ImageButton"              Target="TaharezGreenLook/JuuButton" />
 </GUIScheme>
Index: code/branches/Presentation_HS16/data/gui/schemes/TaharezGreenLook.scheme
===================================================================
--- code/branches/Presentation_HS16/data/gui/schemes/TaharezGreenLook.scheme	(revision 11339)
+++ code/branches/Presentation_HS16/data/gui/schemes/TaharezGreenLook.scheme	(revision 11341)
@@ -51,3 +51,6 @@
     <FalagardMapping WindowType="TaharezGreenLook/LargeVerticalScrollbar"      TargetType="CEGUI/Scrollbar"         Renderer="Falagard/Scrollbar"         LookNFeel="TaharezGreenLook/LargeVerticalScrollbar" />
     <FalagardMapping WindowType="TaharezGreenLook/LargeVerticalScrollbarThumb" TargetType="CEGUI/Thumb"             Renderer="Falagard/Button"            LookNFeel="TaharezGreenLook/LargeVerticalScrollbarThumb" />
+
+    <!-- Special Button for CampaignMenu -->
+    <FalagardMapping WindowType="TaharezGreenLook/JuuButton"              TargetType="CEGUI/PushButton"        Renderer="Falagard/Button"            LookNFeel="TaharezGreenLook/JuuButton" />
 </GUIScheme>
Index: code/branches/Presentation_HS16/data/gui/schemes/TaharezGreenMenuWidgets.scheme
===================================================================
--- code/branches/Presentation_HS16/data/gui/schemes/TaharezGreenMenuWidgets.scheme	(revision 11339)
+++ code/branches/Presentation_HS16/data/gui/schemes/TaharezGreenMenuWidgets.scheme	(revision 11341)
@@ -40,3 +40,5 @@
     <WindowAlias Alias="MenuWidgets/Tooltip"                  Target="TaharezGreenLook/Tooltip" />
     <WindowAlias Alias="MenuWidgets/Tree"                     Target="TaharezGreenLook/Tree" />
+
+        <WindowAlias Alias="MenuWidgets/JuuButton"                Target="TaharezGreenLook/JuuButton" />
 </GUIScheme>
Index: code/branches/Presentation_HS16/data/gui/schemes/TaharezLook.scheme
===================================================================
--- code/branches/Presentation_HS16/data/gui/schemes/TaharezLook.scheme	(revision 11339)
+++ code/branches/Presentation_HS16/data/gui/schemes/TaharezLook.scheme	(revision 11341)
@@ -51,3 +51,4 @@
     <FalagardMapping WindowType="TaharezLook/LargeVerticalScrollbar"      TargetType="CEGUI/Scrollbar"         Renderer="Falagard/Scrollbar"         LookNFeel="TaharezLook/LargeVerticalScrollbar" />
     <FalagardMapping WindowType="TaharezLook/LargeVerticalScrollbarThumb" TargetType="CEGUI/Thumb"             Renderer="Falagard/Button"            LookNFeel="TaharezLook/LargeVerticalScrollbarThumb" />
+    
 </GUIScheme>
Index: code/branches/Presentation_HS16/data/gui/scripts/CampaignMenu.lua
===================================================================
--- code/branches/Presentation_HS16/data/gui/scripts/CampaignMenu.lua	(revision 11339)
+++ code/branches/Presentation_HS16/data/gui/scripts/CampaignMenu.lua	(revision 11341)
@@ -9,12 +9,21 @@
 function P.updateButtons()
     P.updateButton(0, winMgr:getWindow("orxonox/Mission1Button"))
+    P.updateButton(0, winMgr:getWindow("orxonox/Mission1Text"))
     P.updateButton(1, winMgr:getWindow("orxonox/Mission2Button"))
+    P.updateButton(1, winMgr:getWindow("orxonox/Mission2Text"))
     P.updateButton(2, winMgr:getWindow("orxonox/Mission3Button"))
+    P.updateButton(2, winMgr:getWindow("orxonox/Mission3Text"))
     P.updateButton(3, winMgr:getWindow("orxonox/Mission4Button"))
+    P.updateButton(3, winMgr:getWindow("orxonox/Mission4Text"))
     P.updateButton(4, winMgr:getWindow("orxonox/Mission5Button"))
+    P.updateButton(4, winMgr:getWindow("orxonox/Mission5Text"))
     P.updateButton(5, winMgr:getWindow("orxonox/Mission6Button"))
+    P.updateButton(5, winMgr:getWindow("orxonox/Mission6Text"))
     P.updateButton(6, winMgr:getWindow("orxonox/Mission7Button"))
+    P.updateButton(6, winMgr:getWindow("orxonox/Mission7Text"))
     P.updateButton(7, winMgr:getWindow("orxonox/Mission8Button"))
+    P.updateButton(7, winMgr:getWindow("orxonox/Mission8Text"))
     P.updateButton(8, winMgr:getWindow("orxonox/Mission9Button"))
+    P.updateButton(8, winMgr:getWindow("orxonox/Mission9Text"))
 
 
@@ -97,5 +106,5 @@
 
 function P.loadLevel(level)
-    orxonox.execute("startGame " .. level:getXMLFilename())
+    orxonox.execute("changeGame " .. level:getXMLFilename())
     hideAllMenuSheets()
 end
@@ -118,5 +127,6 @@
 
 function P.CampaignMenuBackButton_clicked(e)
-    hideMenuSheet(P.name)
+    orxonox.execute("startMainMenu")
+    hideMenuSheet("CampaignMenu")
 end
 
Index: code/branches/Presentation_HS16/data/gui/scripts/SingleplayerMenu.lua
===================================================================
--- code/branches/Presentation_HS16/data/gui/scripts/SingleplayerMenu.lua	(revision 11339)
+++ code/branches/Presentation_HS16/data/gui/scripts/SingleplayerMenu.lua	(revision 11341)
@@ -172,5 +172,7 @@
 
 function P.CampaignButton_clicked(e)
-    showMenuSheet("CampaignMenu", true)
+    -- showMenuSheet("CampaignMenu", true)
+    hideAllMenuSheets()
+    orxonox.execute("startGame StoryModeMap.oxw")
 end
 