Index: code/branches/Presentation_HS16/src/modules/gametypes/CMakeLists.txt
===================================================================
--- code/branches/Presentation_HS16/src/modules/gametypes/CMakeLists.txt	(revision 11341)
+++ code/branches/Presentation_HS16/src/modules/gametypes/CMakeLists.txt	(revision 11342)
@@ -3,6 +3,5 @@
   RaceCheckPoint.cc
   SpaceRaceManager.cc
-  OldSpaceRace.cc
-  OldRaceCheckPoint.cc
+
   SpaceRaceBot.cc
   SpaceRaceController.cc
Index: code/branches/Presentation_HS16/src/modules/gametypes/OldRaceCheckPoint.cc
===================================================================
--- code/branches/Presentation_HS16/src/modules/gametypes/OldRaceCheckPoint.cc	(revision 11341)
+++ 	(revision )
@@ -1,120 +1,0 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *                    > www.orxonox.net <
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *      Mauro Salomon
- *   Co-authors:
- *      ...
- *
- */
-
-#include "OldRaceCheckPoint.h"
-
-#include "util/Convert.h"
-#include "core/CoreIncludes.h"
-#include "core/XMLPort.h"
-#include "chat/ChatManager.h"
-
-#include "OldSpaceRace.h"
-
-namespace orxonox
-{
-    RegisterClass(OldRaceCheckPoint);
-
-    OldRaceCheckPoint::OldRaceCheckPoint(Context* context): DistanceTrigger(context), RadarViewable(this, static_cast<WorldEntity*>(this))
-    {
-        RegisterObject(OldRaceCheckPoint);
-
-        this->bCheckpointIndex_ = 0;
-        this->bIsLast_ = false;
-        this->bTimeLimit_ = 0;
-
-        this->setRadarObjectColour(ColourValue::Blue);
-        this->setRadarObjectShape(RadarViewable::Shape::Triangle);
-        this->setRadarVisibility(false);
-    }
-
-    OldRaceCheckPoint::~OldRaceCheckPoint()
-    {
-    }
-
-    void OldRaceCheckPoint::tick(float dt)
-    {
-        SUPER(OldRaceCheckPoint, tick, dt);
-
-        OldSpaceRace* gametype = orxonox_cast<OldSpaceRace*>(this->getGametype());
-        assert(gametype);
-        if (this->getCheckpointIndex() == gametype->getCheckpointsReached())
-            this->setRadarVisibility(true);
-        else
-            this->setRadarVisibility(false);
-    }
-
-    void OldRaceCheckPoint::XMLPort(Element& xmlelement, XMLPort::Mode mode)
-    {
-        SUPER(OldRaceCheckPoint, XMLPort, xmlelement, mode);
-
-        XMLPortParam(OldRaceCheckPoint, "checkpointindex", setCheckpointIndex, getCheckpointIndex, xmlelement, mode).defaultValues(0);
-        XMLPortParam(OldRaceCheckPoint, "islast", setLast, getLast, xmlelement, mode).defaultValues(false);
-        XMLPortParam(OldRaceCheckPoint, "timelimit", setTimelimit, getTimeLimit, xmlelement, mode).defaultValues(0);
-    }
-
-    void OldRaceCheckPoint::triggered(bool bIsTriggered)
-    {
-        DistanceTrigger::triggered(bIsTriggered);
-
-        OldSpaceRace* gametype = orxonox_cast<OldSpaceRace*>(this->getGametype());
-        if (gametype && this->getCheckpointIndex() == gametype->getCheckpointsReached() && bIsTriggered)
-        {
-            gametype->clock_.capture();
-            float time = gametype->clock_.getSecondsPrecise();
-            if (this->bTimeLimit_!=0 && time > this->bTimeLimit_)
-            {
-                gametype->timeIsUp();
-                gametype->end();
-            }
-            else if (this->getLast())
-                gametype->end();
-            else
-            {
-                gametype->newCheckpointReached();
-                this->setRadarObjectColour(ColourValue::Green); //sets the radar colour of the checkpoint to green if it is reached, else it is red.
-            }
-        }
-    }
-
-    void OldRaceCheckPoint::setTimelimit(float timeLimit)
-    {
-        this->bTimeLimit_ = timeLimit;
-        if (this->bTimeLimit_ != 0)
-        {
-            OldSpaceRace* gametype = orxonox_cast<OldSpaceRace*>(this->getGametype());
-            if (gametype)
-            {
-                const std::string& message =  "You have " + multi_cast<std::string>(this->bTimeLimit_)
-                            + " seconds to reach the check point " + multi_cast<std::string>(this->bCheckpointIndex_+1);
-                gametype->getGametypeInfo()->sendAnnounceMessage(message);
-                ChatManager::message(message);
-            }
-        }
-    }
-
-}
Index: code/branches/Presentation_HS16/src/modules/gametypes/OldRaceCheckPoint.h
===================================================================
--- code/branches/Presentation_HS16/src/modules/gametypes/OldRaceCheckPoint.h	(revision 11341)
+++ 	(revision )
@@ -1,77 +1,0 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *                    > www.orxonox.net <
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *      Mauro Salomon
- *   Co-authors:
- *      ...
- *
- */
-
-#ifndef _OldRaceCheckPoint_H__
-#define _OldRaceCheckPoint_H__
-
-#include "gametypes/GametypesPrereqs.h"
-
-#include "objects/triggers/DistanceTrigger.h"
-#include "interfaces/RadarViewable.h"
-
-namespace orxonox
-{
-    /**
-    @brief
-        The OldRaceCheckPoint class enables the creation of a check point to use in a OldSpaceRace level.
-        !!! Don't forget to control the indexes of your check points and to set one last check point!!!
-    */
-    class _GametypesExport OldRaceCheckPoint : public DistanceTrigger, public RadarViewable
-    {
-        public:
-            OldRaceCheckPoint(Context* context);
-            virtual ~OldRaceCheckPoint();
-
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
-            virtual void tick(float dt) override;
-
-            protected:
-            virtual void triggered(bool bIsTriggered) override;
-            inline void setLast(bool isLast)
-                { this->bIsLast_ = isLast; }
-            inline bool getLast()
-                { return this->bIsLast_; }
-            inline void setCheckpointIndex(int checkpointIndex)
-                { this->bCheckpointIndex_ = checkpointIndex; }
-            inline int getCheckpointIndex()
-                { return this->bCheckpointIndex_; }
-            virtual void setTimelimit(float timeLimit);
-            inline float getTimeLimit()
-                { return this->bTimeLimit_;}
-            virtual inline const WorldEntity* getWorldEntity() const override
-                { return this; }
-
-        private:
-            int bCheckpointIndex_; //The index of this check point. This value will be compared with the number of check points reached in the level. The check points must be indexed in ascending order beginning from zero and without any jumps between the indexes.
-            bool bIsLast_; //True if this check point is the last of the level. There can be only one last check point for each level and there must be a last check point in the level.
-            float bTimeLimit_; //The time limit (from the start of the level) to reach this check point. If the check point is reached after this time, the game ends and the player looses.
-      
-    };
-}
-
-#endif /* _OldRaceCheckPoint_H__ */
Index: code/branches/Presentation_HS16/src/modules/gametypes/OldSpaceRace.cc
===================================================================
--- code/branches/Presentation_HS16/src/modules/gametypes/OldSpaceRace.cc	(revision 11341)
+++ 	(revision )
@@ -1,104 +1,0 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *                    > www.orxonox.net <
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *     Mauro Salomon
- *   Co-authors:
- *      ...
- *
- */
-
-#include "OldSpaceRace.h"
-
-#include "core/CoreIncludes.h"
-#include "chat/ChatManager.h"
-#include "util/Convert.h"
-#include "util/Math.h"
-
-namespace orxonox
-{
-    RegisterUnloadableClass(OldSpaceRace);
-
-    OldSpaceRace::OldSpaceRace(Context* context) : Gametype(context)
-    {
-        RegisterObject(OldSpaceRace);
-        this->checkpointsReached_ = 0;
-        this->bTimeIsUp_ = false;
-        this->numberOfBots_ = 0;
-    }
-
-    void OldSpaceRace::end()
-    {
-        this->Gametype::end();
-
-        if (this->bTimeIsUp_)
-        {
-            this->clock_.capture();
-            int s = this->clock_.getSeconds();
-            int ms = static_cast<int>(this->clock_.getMilliseconds()-1000*s);
-            const std::string& message = multi_cast<std::string>(s) + "." + multi_cast<std::string>(ms) + " seconds !!\n"
-                        + "You didn't reach the check point " + multi_cast<std::string>(this->checkpointsReached_+1)
-                        + " before the time limit. You lose!";
-            this->getGametypeInfo()->sendAnnounceMessage(message);
-            ChatManager::message(message);
-        }
-        else
-        {
-            this->clock_.capture();
-            int s = this->clock_.getSeconds();
-            int ms = static_cast<int>(this->clock_.getMilliseconds()-1000*s);
-            const std::string& message = "You win!! You have reached the last check point after "+ multi_cast<std::string>(s)
-                        + "." + multi_cast<std::string>(ms) + " seconds.";
-            this->getGametypeInfo()->sendAnnounceMessage(message);
-            ChatManager::message(message);
-/*
-            float time = this->clock_.getSecondsPrecise();
-            this->scores_.insert(time);
-            std::set<float>::iterator it;
-            for (it=this->scores_.begin(); it!=this->scores_.end(); it++)
-                orxout(level::message) << multi_cast<std::string>(*it) << endl;
-*/
-        }
-    }
-
-    void OldSpaceRace::start()
-    {
-        Gametype::start();
-
-        std::string message("The match has started! Reach the check points as quickly as possible!");
-        this->getGametypeInfo()->sendAnnounceMessage(message);
-        ChatManager::message(message);
-    }
-
-    void OldSpaceRace::newCheckpointReached()
-    {
-        this->checkpointsReached_++;
-        this->clock_.capture();
-        int s = this->clock_.getSeconds();
-        int ms = static_cast<int>(this->clock_.getMilliseconds()-1000*s);
-        const std::string& message = "Checkpoint " + multi_cast<std::string>(this->getCheckpointsReached())
-                        + " reached after " + multi_cast<std::string>(s) + "." + multi_cast<std::string>(ms)
-                        + " seconds.";
-        this->getGametypeInfo()->sendAnnounceMessage(message);
-        ChatManager::message(message);
-    }
-
-}
Index: code/branches/Presentation_HS16/src/modules/gametypes/OldSpaceRace.h
===================================================================
--- code/branches/Presentation_HS16/src/modules/gametypes/OldSpaceRace.h	(revision 11341)
+++ 	(revision )
@@ -1,81 +1,0 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *                    > www.orxonox.net <
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *      Mauro Salomon
- *   Co-authors:
- *      ...
- *
- */
-
-#ifndef _OldSpaceRace_H__
-#define _OldSpaceRace_H__
-
-#include "gametypes/GametypesPrereqs.h"
-
-#include <set>
-#include <string>
-
-#include <util/Clock.h>
-
-#include "gametypes/Gametype.h"
-
-#include "OldRaceCheckPoint.h"
-
-namespace orxonox
-{
-  /**
-  @brief
-    The OldSpaceRace class enables the creation of a space race level, where the player has to reach check points in a given order.
-  */
-    class _GametypesExport OldSpaceRace : public Gametype
-    {
-        friend class OldRaceCheckPoint;
-
-        public:
-            OldSpaceRace(Context* context);
-            virtual ~OldSpaceRace() {}
-
-            virtual void start() override;
-            virtual void end() override;
-
-            virtual void newCheckpointReached();
-            virtual void addBots(unsigned int amount) override{} //<! overwrite function in order to bypass the addbots command.
-                                                        //<! This is only a temporary solution. Better: create racingBots.
-
-            inline void setCheckpointsReached(int n)
-                { this->checkpointsReached_ = n;}
-            inline int getCheckpointsReached()
-                { return this->checkpointsReached_; }
-            inline void timeIsUp()
-                { this->bTimeIsUp_ = true;}
-
-        protected:
-
-        private:
-            int checkpointsReached_; //The current number of check points reached by the player.
-            std::set<float> scores_; //The times of the players are saved in a set.
-            bool bTimeIsUp_; //True if one of the check points is reached too late.
-            Clock clock_; //The clock starts running at the beginning of the game. It is used to give the time at each check point, the give the time at the end of the game, and to stop the game if a check point is reached too late.
-    };
-}
-
-#endif /* _OldSpaceRace_H__ */
Index: code/branches/Presentation_HS16/src/modules/gametypes/SpaceRace.cc
===================================================================
--- code/branches/Presentation_HS16/src/modules/gametypes/SpaceRace.cc	(revision 11341)
+++ code/branches/Presentation_HS16/src/modules/gametypes/SpaceRace.cc	(revision 11342)
@@ -23,10 +23,42 @@
  *     Mauro Salomon
  *   Co-authors:
- *      Celine Egger
- *
- */
+ *      Celine Egger*/
+        
+
+
+
+/*
+Edited, Renewed and Revised by 
+        Berkay Berabi
+        Louis Meile
+ 
+ 
+To-do- list by Louis Meile and Berkay Berabi for future projects :
+- improve AI (SpaceRaceController): 
+i) so far bots arent able to evade obstacles. fix that!
+ii) bots should be able to use pickups
+- game crashes when bot wins the game(this is a huge problem you should work with the log file to find out what the errors are )
+- bots rotate while waiting for the countdown to end. make it stop!
+- add elements to level file to make it even more fun to play. be creative!
+*/
+
 
 #include "SpaceRace.h"
 
+#include "core/CoreIncludes.h"
+#include "chat/ChatManager.h"
+#include "util/Convert.h"
+#include "util/Math.h"
+#include "infos/Bot.h"
+#include "items/Engine.h"
+#include "controllers/HumanController.h"
+
+#include "core/CoreIncludes.h"
+#include "chat/ChatManager.h"
+#include "infos/PlayerInfo.h"
+#include "worldentities/pawns/Pawn.h"
+#include "core/config/ConfigValueIncludes.h"
+#include "infos/Bot.h"
+#include "SpaceRaceBot.h"
 #include "items/Engine.h"
 
@@ -37,4 +69,6 @@
 #include "SpaceRaceBot.h"
 #include "items/Engine.h"
+#include <vector>
+
 
 namespace orxonox
@@ -46,10 +80,87 @@
         RegisterObject(SpaceRace);
 
-        this->botclass_ = Class(SpaceRaceBot);//ClassByString("")
+        this->botclass_ = Class(SpaceRaceBot); //ClassByString("")
         this->cantMove_ = false;
         this->bTimeIsUp_ = false;
-        this->numberOfBots_ = 0; // quick fix: don't allow default-bots to enter the race
-                                 // remove this line, if a raceBot has been created.
-    }
+        this->setConfigValues();
+
+        this->numberOfBots_ = 5; // quick fix: don't allow default-bots to enter the race 
+        //we fixed the number of bots in order to have the same starting position all the time ! 
+    }
+
+  void SpaceRace::setConfigValues()
+    {
+       
+    
+    }
+
+    void SpaceRace::start()
+    {
+    // define spawn positions of the 5 bots
+
+        int startpos[15];
+        
+        startpos[0] =100;
+        startpos[1] =-40;
+        startpos[2] =0;
+        
+        startpos[3] =100;
+        startpos[4] =-40;
+        startpos[5] =100;
+        
+        startpos[6] =100;
+        startpos[7] =-40;
+        startpos[8] =-100;
+        
+        startpos[9] =0;
+        startpos[10] =-40;
+        startpos[11] =-80;
+        
+        startpos[12] =0;
+        startpos[13] =-40;
+        startpos[14] =80;
+        
+
+
+
+        Gametype::start();
+   if (true)
+        {
+            this->spawnPlayersIfRequested();
+            this->cantMove_ = true;
+            //players are unable to move while countdown is running
+            for (Engine* engine : ObjectList<Engine>()){
+                engine->setActive(false);
+                
+
+            }
+           //append spawn positions to bots
+           int a,b,c;
+            a=0;
+            b=1;
+            c=2;
+              for (SpaceRaceBot* bot : ObjectList<SpaceRaceBot>()){
+                bot->getControllableEntity()->setPosition(startpos[a],startpos[b],startpos[c]);
+               a= a+3;
+               b = b+3; 
+               c+= 3;
+            }
+
+
+        }
+
+                                                
+
+        std::string message("Use headphones to hear the countdown!");
+        this->getGametypeInfo()->sendAnnounceMessage(message);
+        ChatManager::message(message);
+
+//after 11 seconds , countdownFinished function is called to activate bots` engines
+Timer* countdownTimer = new Timer();
+        countdownTimer->setTimer(11, false, createExecutor(createFunctor(&SpaceRace::countdownFinished, this)));
+    }
+
+
+
 
     void SpaceRace::end()
@@ -63,9 +174,9 @@
         {
             message = multi_cast<std::string>(s) + "." + multi_cast<std::string>(ms) + " seconds !!\n"
-                        + "You didn't reach the check point  before the time limit. You lose!";
+                        + "You lose!";
         }
         else
         {
-            message = "You win!! You have reached the last check point after "+ multi_cast<std::string>(s)
+            message = "You win!! Final check point reached after "+ multi_cast<std::string>(s)
                         + "." + multi_cast<std::string>(ms) + " seconds.";
         }
@@ -78,31 +189,9 @@
     }
 
-    void SpaceRace::tick(float dt)
+
+void SpaceRace::tick(float dt)
     {
         SUPER(SpaceRace,tick,dt);
-
-        // spawn the players already when the countdown starts, but deactivate their engines
-        if (this->isStartCountdownRunning() && !this->cantMove_)
-        {
-            this->spawnPlayersIfRequested();
-            this->cantMove_ = true;
-
-            for (Engine* engine : ObjectList<Engine>())
-                engine->setActive(false);
-        }
-
-        // activate the engines again if the countdown ends
-        if (!this->isStartCountdownRunning() && this->cantMove_)
-        {
-            for (Engine* engine : ObjectList<Engine>())
-                engine->setActive(true);
-
-            this->cantMove_= false;
-
-            std::string message = "The match has started! Reach the check points as quickly as possible!";
-            this->getGametypeInfo()->sendAnnounceMessage(message);
-            ChatManager::message(message);
-        }
-    }
+}
 
     void SpaceRace::newCheckpointReached(RaceCheckPoint* checkpoint, PlayerInfo* player)
@@ -114,23 +203,60 @@
         int ms = this->clock_.getMilliseconds() % 1000;
 
-        const std::string& message = "Checkpoint " + multi_cast<std::string>(checkpoint->getCheckpointIndex() + 1)
-            + " reached after " + multi_cast<std::string>(s) + "." + multi_cast<std::string>(ms) + " seconds.";
+       
+    
+        const std::string& message = player->getName() + " reached the checkpoint " + multi_cast<std::string>(checkpoint->getCheckpointIndex() + 1) 
+        + "after " + multi_cast<std::string>(s) + "." + multi_cast<std::string>(ms) + " seconds.";
+ this->getGametypeInfo()->sendAnnounceMessage(message);
+        ChatManager::message(message);
+
+    }
+
+ void SpaceRace::countdownFinished()//activates the engines of all players 
+    {
+
+        std::string message("RACE STARTED ");
         this->getGametypeInfo()->sendAnnounceMessage(message);
         ChatManager::message(message);
-    }
-
+
+
+    for (Engine* engine : ObjectList<Engine>())
+                engine->setActive(true);
+
+
+    
+}
+
+ void SpaceRace::playerEntered(PlayerInfo* player)
+    {
+        Gametype::playerEntered(player);
+
+        const std::string& message = player->getName() + " entered the game";
+        ChatManager::message(message);
+    }
+
+
+ void SpaceRace::addBots(unsigned int amount) //function that add the bots to the game 
+    {
+        for (unsigned int i = 1; i <= amount; ++i){
+            this->botclass_.fabricate(this->getContext());
+        }
+    }
+
+
+//set bot configurations
     bool SpaceRace::allowPawnHit(Pawn* victim, Pawn* originator)
     {
+        return true;
+    }
+
+    bool SpaceRace::allowPawnDamage(Pawn* victim, Pawn* originator)
+    {
+        return true;
+    }
+
+    bool SpaceRace::allowPawnDeath(Pawn* victim, Pawn* originator)// false because the bots can not recognize the objects and die to early 
+                                                                    //if they can 
+    {
         return false;
     }
-
-    bool SpaceRace::allowPawnDamage(Pawn* victim, Pawn* originator)
-    {
-        return false;
-    }
-
-    bool SpaceRace::allowPawnDeath(Pawn* victim, Pawn* originator)
-    {
-        return false;
-    }
 }
Index: code/branches/Presentation_HS16/src/modules/gametypes/SpaceRace.h
===================================================================
--- code/branches/Presentation_HS16/src/modules/gametypes/SpaceRace.h	(revision 11341)
+++ code/branches/Presentation_HS16/src/modules/gametypes/SpaceRace.h	(revision 11342)
@@ -57,9 +57,22 @@
             virtual ~SpaceRace() {}
 
+             void setConfigValues();
+
             virtual void tick(float dt) override;
+            virtual void start() override;
+            virtual void end() override;
+ virtual void countdownFinished();
+             virtual void addBots(unsigned int amount) override; //<! overwrite function in order to bypass the addbots command.
 
-            virtual void end() override;
+
+
+             virtual void playerEntered(PlayerInfo* player) override;
+
+            //virtual void newCheckpointReached();
 
             void newCheckpointReached(RaceCheckPoint* checkpoint, PlayerInfo* player);
+            
+
+
             inline RaceCheckPoint* getCheckpointReached(PlayerInfo* player)
                 { return this->checkpointReached_[player]; }
Index: code/branches/Presentation_HS16/src/modules/gametypes/SpaceRaceBot.cc
===================================================================
--- code/branches/Presentation_HS16/src/modules/gametypes/SpaceRaceBot.cc	(revision 11341)
+++ code/branches/Presentation_HS16/src/modules/gametypes/SpaceRaceBot.cc	(revision 11342)
@@ -23,7 +23,16 @@
  *      Author: purgham
  */
+#include <vector>
 
 #include "SpaceRaceBot.h"
+#include "core/GameMode.h"
 #include "core/CoreIncludes.h"
+#include "core/config/ConfigValueIncludes.h"
+#include "gametypes/Gametype.h"
+#include "controllers/AIController.h"
+#include "gametypes/SpaceRaceController.h"
+
+
+
 
 namespace orxonox
@@ -35,4 +44,23 @@
         this->defaultController_ = Class(SpaceRaceController);// ClassByString("")
         this->createController();
+
+    }
+
+SpaceRaceBot::~SpaceRaceBot(){
+
+}
+
+void SpaceRaceBot::setConfigValues()
+    {
+        static const std::string names[] =
+        {
+            "Dr. Julius No",
+            "Berkay Berabi",
+            "Louis Meile"         
+            "Yo mama"
+        };
+        static std::vector<std::string> defaultnames(names, names + sizeof(names) / sizeof(std::string));
+
+        SetConfigValue(names_, defaultnames);
     }
 }
Index: code/branches/Presentation_HS16/src/modules/gametypes/SpaceRaceBot.h
===================================================================
--- code/branches/Presentation_HS16/src/modules/gametypes/SpaceRaceBot.h	(revision 11341)
+++ code/branches/Presentation_HS16/src/modules/gametypes/SpaceRaceBot.h	(revision 11342)
@@ -30,4 +30,5 @@
 #include "gametypes/GametypesPrereqs.h"
 #include "gametypes/SpaceRaceController.h"
+#include <vector>
 
 
@@ -35,12 +36,26 @@
 {
 
-    /**
-
-    */
     class _GametypesExport SpaceRaceBot: public Bot
     {
         public:
-        SpaceRaceBot(Context* context);
-            virtual ~SpaceRaceBot() {}
+        	SpaceRaceBot(Context* context);
+            virtual ~SpaceRaceBot();
+    
+            void setConfigValues();
+
+
+
+ virtual inline bool isInitialized() const override
+                { return true; }
+            virtual inline float getPing() const override
+                { return 0; }
+            virtual inline float getPacketLossRatio() const override
+                { return 0; }
+
+
+  private:
+            std::vector<std::string> names_;
+
+
     };
 }
Index: code/branches/Presentation_HS16/src/modules/gametypes/SpaceRaceController.cc
===================================================================
--- code/branches/Presentation_HS16/src/modules/gametypes/SpaceRaceController.cc	(revision 11341)
+++ code/branches/Presentation_HS16/src/modules/gametypes/SpaceRaceController.cc	(revision 11342)
@@ -16,5 +16,5 @@
  *   GNU General Public License for more details.
  *
- *   You should have received a copy of the GNU General Public License
+ *   You should have     a copy of the GNU General Public License
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
@@ -58,59 +58,4 @@
         OrxAssert(!checkpoints.empty(), "No Checkpoints in Level");
         checkpoints_ = checkpoints;
-        /*orxout()<<"es gibt: "<<checkpoints_.size()<<"checkpoints"<<endl;
-        for(std::vector<RaceCheckPoint*>::iterator it=checkpoints_.begin(); it!=checkpoints_.end(); it++)
-        {
-            orxout()<<"Checkpoint "<<(*it)->getCheckpointIndex()<<"; NExtReal: ";
-            std::set<int> temp =(*it)->getNextCheckpoints();
-            for (std::set<int>::iterator ii =temp.begin(); ii!=temp.end(); ii++)
-            {
-                orxout()<<(*ii)<<", ";
-            }
-
-            orxout()<<" NextVirtual: ";
-            temp=(*it)->getVirtualNextCheckpoints();
-            for (std::set<int>::iterator ii =temp.begin(); ii!=temp.end(); ii++)
-            {
-                orxout()<<(*ii)<<", ";
-            }
-            orxout()<<endl<<endl;
-
-        }//ausgabe*/
-        /*
-        for (std::vector<RaceCheckPoint*>::iterator it = checkpoints.begin(); it != checkpoints.end(); ++it)
-        {
-            std::set<int> nextCheckPoints = ((*it)->getNextCheckpoints());
-            if(!nextCheckPoints.empty())
-            {
-                for (std::set<int>::iterator numb = nextCheckPoints.begin(); numb!=nextCheckPoints.end(); numb++)
-                {
-                    RaceCheckPoint* point2 = findCheckpoint((*numb));
-
-                    //if(point2 != nullptr)
-                    //placeVirtualCheckpoints((*it), point2);
-                }
-            }
-        }
-        */
-        /*
-        for(std::vector<RaceCheckPoint*>::iterator it=checkpoints_.begin(); it!=checkpoints_.end(); it++)
-        {
-            orxout()<<"Checkpoint "<<(*it)->getCheckpointIndex()<<"; NExtReal: ";
-            std::set<int> temp =(*it)->getNextCheckpoints();
-            for (std::set<int>::iterator ii =temp.begin(); ii!=temp.end(); ii++)
-            {
-                orxout()<<(*ii)<<", ";
-            }
-
-            orxout()<<" NextVirtual: ";
-            temp=(*it)->getVirtualNextCheckpoints();
-            for (std::set<int>::iterator ii =temp.begin(); ii!=temp.end(); ii++)
-            {
-                orxout()<<(*ii)<<", ";
-            }
-            orxout()<<endl;
-
-        }//ausgabe
-        orxout()<<"es gibt: "<<checkpoints_.size()<<"checkpoints"<<endl;*/
         staticRacePoints_ = findStaticCheckpoints(nextRaceCheckpoint_, checkpoints);
         // initialisation of currentRaceCheckpoint_
@@ -122,5 +67,4 @@
             continue;
         }
-        //orxout()<<"Die ANzahl der virtuellen CP betraegt: "<< (-i)-2<<endl;
 
     }
@@ -225,4 +169,5 @@
                 minNextRaceCheckPoint = nextRaceCheckPoint;
             }
+
         }
 
@@ -363,4 +308,5 @@
             //orxout()<< "CP "<< currentRaceCheckpoint_->getCheckpointIndex()<<" chanched to: "<< nextRaceCheckpoint_->getCheckpointIndex()<<endl;
         }
+
         else if ((lastPositionSpaceship-this->getControllableEntity()->getPosition()).length()/dt > ADJUSTDISTANCE)
         {
@@ -380,5 +326,8 @@
         //orxout(user_status) << "dt= " << dt << ";  distance= " << (lastPositionSpaceship-this->getControllableEntity()->getPosition()).length() <<std::endl;
         lastPositionSpaceship = this->getControllableEntity()->getPosition();
+       
+this->boostControl();
         this->moveToPosition(nextRaceCheckpoint_->getPosition());
+        this->boostControl();
     }
 
Index: code/branches/Presentation_HS16/src/orxonox/controllers/HumanController.h
===================================================================
--- code/branches/Presentation_HS16/src/orxonox/controllers/HumanController.h	(revision 11341)
+++ code/branches/Presentation_HS16/src/orxonox/controllers/HumanController.h	(revision 11342)
@@ -92,7 +92,7 @@
             //friend class, for mouselook
             friend class Map;
+            static HumanController* localController_s;
 
         protected:
-            static HumanController* localController_s;
             bool controlPaused_;
 
Index: code/branches/Presentation_HS16/src/orxonox/gametypes/Gametype.cc
===================================================================
--- code/branches/Presentation_HS16/src/orxonox/gametypes/Gametype.cc	(revision 11341)
+++ code/branches/Presentation_HS16/src/orxonox/gametypes/Gametype.cc	(revision 11342)
@@ -96,5 +96,5 @@
         }
     }
-
+    
     /**
      * @brief Initializes sub-objects of the Gametype. This must be called after the constructor.
Index: code/branches/Presentation_HS16/src/orxonox/infos/Bot.cc
===================================================================
--- code/branches/Presentation_HS16/src/orxonox/infos/Bot.cc	(revision 11341)
+++ code/branches/Presentation_HS16/src/orxonox/infos/Bot.cc	(revision 11342)
@@ -68,28 +68,17 @@
         static const std::string names[] =
         {
-            "Dr. Julius No",
-            "Rosa Klebb",
-            "Auric Goldfinger",
-            "Emilio Largo",
-            "Ernst Stavro Blofeld",
-            "Dr. Kananga",
-            "Francisco Scaramanga",
-            "Karl Stromberg",
-            "Sir Hugo Drax",
-            "Aris Kristatos",
+            "Berkay Berabi",
+            "Louis  Meile"
+            "Muten Roshi",
+            "Abradolf Lincler",
+            "Lionel Messi",
             "Kamal Khan",
-            "General Orlov",
-            "Max Zorin",
-            "Brad Whitaker",
-            "General Georgi Koskov",
-            "Franz Sanchez",
-            "Alec Trevelyan",
-            "Elliot Carver",
-            "Elektra King",
-            "Viktor Zokas",
-            "Gustav Graves",
-            "Le Chiffre",
-            "Mr. White",
-            "Dominic Greene"
+            "Karl the Llama",
+            "Thomas the Tankengine",
+            "Rick",
+            "Morty",
+            "Charlie the Unicorn",
+            "Kung Fury",
+            "Postman Pat"
         };
         static std::vector<std::string> defaultnames(names, names + sizeof(names) / sizeof(std::string));
Index: code/branches/Presentation_HS16/src/orxonox/infos/GametypeInfo.h
===================================================================
--- code/branches/Presentation_HS16/src/orxonox/infos/GametypeInfo.h	(revision 11341)
+++ code/branches/Presentation_HS16/src/orxonox/infos/GametypeInfo.h	(revision 11342)
@@ -83,4 +83,5 @@
             inline bool isStartCountdownRunning() const
                 { return this->bStartCountdownRunning_; }
+            
             void changedStartCountdownRunning(void); // Is called when the start countdown has been either started or stopped.
 
@@ -132,9 +133,10 @@
             void dispatchStaticMessage(const std::string& message,const ColourValue& colour) const;
             void dispatchFadingMessage(const std::string& message) const;
+            void setStartCountdown(float countdown); // Set the start countdown to the input value.
+
 
         protected:
             void start(void); // Inform the GametypeInfo that the game has started.
             void end(void); // Inform the GametypeInfo that the game has ended.
-            void setStartCountdown(float countdown); // Set the start countdown to the input value.
             void countdownStartCountdown(float countDown); // Count down the start countdown by the specified value.
             void countDown(); // Count down the start countdown counter.
Index: code/branches/Presentation_HS16/src/orxonox/sound/WorldAmbientSound.cc
===================================================================
--- code/branches/Presentation_HS16/src/orxonox/sound/WorldAmbientSound.cc	(revision 11341)
+++ code/branches/Presentation_HS16/src/orxonox/sound/WorldAmbientSound.cc	(revision 11342)
@@ -58,4 +58,6 @@
         soundList_.emplace_back("Ganymede.ogg");
         soundList_.emplace_back("luke_grey_-_hypermode.ogg");
+        soundList_.emplace_back("racetheme.ogg");
+
 
     }